org.eclipse.viatra.cep.core.metamodels.automaton

## Interface TimedZone

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    HoldsFor, Within
  All Known Implementing Classes:
    HoldsForImpl, TimedZoneImpl, WithinImpl

      public interface TimedZone
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Timed Zone'.

  The following features are supported:

  - `In State`
  - `Out State`
  - `Time`
  See Also:
    `AutomatonPackage.getTimedZone()`
  Generated:
  Model:
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `State` | `getInState()` Returns the value of the 'In State' reference.
    `State` | `getOutState()` Returns the value of the 'Out State' reference.
    `long` | `getTime()` Returns the value of the 'Time' attribute.
    `void` | `setInState(State value)` Sets the value of the '`In State`' reference.
    `void` | `setOutState(State value)` Sets the value of the '`Out State`' reference.
    `void` | `setTime(long value)` Sets the value of the '`Time`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInState

          State getInState()

      Returns the value of the 'In State' reference. It is bidirectional and its opposite is '`In State Of`'.

      If the meaning of the 'In State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'In State' reference.
      See Also:
        `setInState(State)`, `AutomatonPackage.getTimedZone_InState()`, `State.getInStateOf()`
      Generated:
      Model:
        opposite="inStateOf" required="true"

    - #### setInState

          void setInState(State value)

      Sets the value of the '`In State`' reference.
      Parameters:
        `value` - the new value of the 'In State' reference.
      See Also:
        `getInState()`
      Generated:

    - #### getOutState

          State getOutState()

      Returns the value of the 'Out State' reference. It is bidirectional and its opposite is '`Out State Of`'.

      If the meaning of the 'Out State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Out State' reference.
      See Also:
        `setOutState(State)`, `AutomatonPackage.getTimedZone_OutState()`, `State.getOutStateOf()`
      Generated:
      Model:
        opposite="outStateOf" required="true"

    - #### setOutState

          void setOutState(State value)

      Sets the value of the '`Out State`' reference.
      Parameters:
        `value` - the new value of the 'Out State' reference.
      See Also:
        `getOutState()`
      Generated:

    - #### getTime

          long getTime()

      Returns the value of the 'Time' attribute.

      If the meaning of the 'Time' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Time' attribute.
      See Also:
        `setTime(long)`, `AutomatonPackage.getTimedZone_Time()`
      Generated:
      Model:
        required="true"

    - #### setTime

          void setTime(long value)

      Sets the value of the '`Time`' attribute.
      Parameters:
        `value` - the new value of the 'Time' attribute.
      See Also:
        `getTime()`
      Generated: